// COLORS

@bg-50: #fdfdfd;
@bg-100: #f9fbfb;
@bg-200: #f6f8f8;
@bg-300: #f2f5f5;
@bg-400: #eff2f3;
@bg-500: #ecf0f1;
@bg-600: #eaeeef;
@bg-700: #e7eced;
@bg-800: #e4e9eb;
@bg-900: #dfe5e7;
@bg-A100: #ffffff;
@bg-A200: #ffffff;
@bg-A400: #ffffff;
@bg-A700: #ffffff;
@bg: @bg-500;
.bg {
	background-color: @bg;
}

@cor-tema-50 : #e4f2fe;
@cor-tema-100 : #bce0fb;
@cor-tema-200 : #90cbf9;
@cor-tema-300 : #64b6f7;
@cor-tema-400 : #42a6f5;
@cor-tema-500 : #2196f3;
@cor-tema-600 : #1d8ef1;
@cor-tema-700 : #1883ef;
@cor-tema-800 : #1479ed;
@cor-tema-900 : #0b68ea;
@cor-tema-A100 : #ffffff;
@cor-tema-A200 : #e1ecff;
@cor-tema-A400 : #aeccff;
@cor-tema-A700 : #95bcff;
@cor-tema: @cor-tema-500;

@cor-verde-50 : #ebf6eb;
@cor-verde-100 : #ceeace;
@cor-verde-200 : #aedcae;
@cor-verde-300 : #8dcd8d;
@cor-verde-400 : #74c374;
@cor-verde-500 : #5cb85c;
@cor-verde-600 : #54b154;
@cor-verde-700 : #4aa84a;
@cor-verde-800 : #41a041;
@cor-verde-900 : #309130;
@cor-verde-A100 : #d9ffd9;
@cor-verde-A200 : #a6ffa6;
@cor-verde-A400 : #73ff73;
@cor-verde-A700 : #59ff59;
@cor-verde: @cor-verde-500;

// BASE
@white: #FBFCFC;
.white {
	background-color: @white;
}

@cor-tema: #2196F3;
@cor-tema-accent: darken(@cor-tema,10%);

@cor-cinza-claro:#D4D4D4;
@cor-borda: #B8B8B8;
@cor-cinza-escuro: #95989A;

@cor-vermelho:#D9534F;
// @cor-verde: #5CB85C;
@cor-amarelo: #F0AD4E;

// TIPOGRAFIA

@cor-texto-principal: #777777;
@cor-texto-principal-disabled: rgba(0, 0, 15, 0.5);

@cor-texto-secundario: #262626;
@cor-texto-secundario-disabled: rgba(0, 0, 47, 0.2);

// VARIAVEIS BOOTSTRAP DO BOOTSTRAP MATERIAL

@brand-primary: @cor-tema;
@brand-success: @cor-verde;
@brand-danger: @cor-vermelho;
@brand-warning: @cor-amarelo;
@brand-info: @cor-tema;

// Typography elements
@mdb-text-color-light:  ~"rgba(@{rgb-white}, 0.84)";
@mdb-text-color-light-hex: @white; // for contrast function in inverse
@mdb-text-color-primary: @cor-texto-principal;
@mdb-text-color-primary-hex: @cor-texto-principal; // for contrast function in inverse
@icon-color: rgba(0,0,0,0.5);


@mdb-label-color: ~"rgba(@{rgb-black}, 0.26)";
@mdb-label-color-toggle-focus: ~"rgba(@{rgb-black}, .54)";

@dropdown-hover: #f5f5f5;
@cor-alert-warning: @mdb-text-color-light;